function processAction(actionData) {
    var feedRow = "";
    if ("deposit" == actionData.type) {
        var actionPrice = actionData.price.toFixed(2);
        feedRow = "<div class='feedRow'>";
        feedRow += "<div class='feedRowWrapper'>";
        feedRow += "<div class='feedRowAvatar'><img src=" + actionData.user.avatarmedium + "></img></div>";
        feedRow += "<div class='feedRowUser'>" + actionData.user.personaname + "</div>";
        feedRow += "<div class='feedRowCase'><img src='./GlobalAssets/user-case-icon.png'></img>" + actionData.number + "</div>";
        feedRow += "<div class='feedRowDeposit'>$" + actionPrice + "</div>";
        feedRow += "</div>";
        feedRow += "</div>";
    } else if ("won" == actionData.type) {
        var potValue = actionData.price.toFixed(2);
        var winnerName = actionData.user.personaname;
        feedRow = "<div class='feedRowWon'>";
        feedRow += "<div class='feedRowWonWrapper'>";
        feedRow += "<div class='newRoundSection'>NEW ROUND</div>";
        feedRow += "<div class='wonSection'>";
        feedRow += "<div class='feedRowAvatar'><img src=" + actionData.user.avatarmedium + "></img></div>";
        feedRow += "<div class='feedRowDeposit'>" + winnerName + " won the jackpot valued at $" + potValue + "</div>";
        feedRow += "</div>";
        feedRow += "</div>";
        feedRow += "</div>";
        feedRow += "<br>";
    }
    var parent = document.getElementById("bottom_section").innerHTML;
    document.getElementById("bottom_section").innerHTML = feedRow + parent;
}

function processTotal(current, price) {
    price && price > 0 && current >= 2 && (price = .95 * price);
    current > 50 && (current = 50);
    0 > current && (current = 0);
    document.getElementById("currentSpan").innerHTML = current;
    document.getElementById("priceSpan").innerHTML = "~$" + Math.floor(price || 0);
}

function processPrizes(prizeData) {
    var potPrizesDiv = "<div class='prizesRow'>";
    var prizes = prizeData.prizes;
    if (0 == prizes.length) return;
    for (var i = 0; i < prizes.length; i++) {
        var prizeId = prizes[i];
        var prizeImage = "https://steamcommunity-a.akamaihd.net/economy/image/class/730/" + prizeId + "/100fx100f";
        var prizePrice = prizeData.prices[prizeId];
        var prizeDescription = prizeData.descriptions[prizeId];
        prizePrice = prizePrice.toFixed(2);
        var prizeItem = "<div class='prizeItem'>";
        prizeItem += "<div class='prizeImage'><img src='" + prizeImage + "'></img></div>";
        prizeItem += "<div class='prizePrice'>$" + prizePrice + "</div>";
        prizeItem += "<div class='prizeDescription'>" + prizeDescription + "</div>";
        prizeItem += "</div>";
        potPrizesDiv += prizeItem;
    }
    potPrizesDiv += "</div>";
    document.getElementById("top_left").innerHTML = potPrizesDiv;
}

function processQueuePosition(position) {
    var positionSpan = document.getElementById("positionSpan");
    positionSpan.innerHTML = position ? "You are currently number #" + position + " in queue, please standby..." : "You are not currently standing in queue. +++";
}

function printToConsole(data) {
    Ti.App.fireEvent("app:printtoconsole", {
        data: data
    });
}

function routeResponse(data) {
    Ti.App.fireEvent("app:updateData", {
        data: data
    });
}

function injectAndroidStyle() {
    var link = document.createElement("link");
    link.href = "androidStyle.css";
    link.type = "text/css";
    link.rel = "stylesheet";
    document.getElementsByTagName("head")[0].appendChild(link);
}

function initHome() {
    var ua = navigator.userAgent.toLowerCase();
    var isAndroid = ua.indexOf("android") > -1;
    isAndroid;
}